Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 1

Name:       nodejs-css
Version:    1.6.0
Release:    alt1_9
Summary:    A CSS parser/stringifier for Node.js using css-parse and css-stringify
License:    MIT
URL:        https://github.com/visionmedia/css
Source0:    http://registry.npmjs.org/css/-/css-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(css-parse)
BuildRequires:  npm(css-stringify)
%endif
Source44: import.info

%description
%{summary}.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/css
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/css

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs test
%endif


%files
%doc History.md LICENSE Readme.md
%{nodejs_sitelib}/css


%changelog
* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 1.6.0-alt1_9
- new version

* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 1.6.0-alt0.1.njs.bootstrap
- bootstrap

